Page MenuHomePhabricator

wbterms: Register new terms store schema changes with MW update mechanism
Closed, ResolvedPublic

Description

  • register new store schema DDL repo/sql/AddNormalizedTermsTablesDDL.sql

This task should only make the tables create.
This should not use the tables for anything

Event Timeline

Addshore moved this task from incoming to in progress on the Wikidata board.Mar 25 2019, 3:59 PM
JeroenDeDauw renamed this task from Update update.php with the new SQL files to Register schema schanges with MW update mechanism.Apr 4 2019, 8:36 PM
JeroenDeDauw updated the task description. (Show Details)

this won't be merged yet accord. to migration plan.. there'll be a follow up release and annoucement about this change for all other wikibase instances so that they can prepare themselves for a long migration in case they have a massive database, otherwise small ones won't probably even notice.

This can be done now though and hidden behind a feature flag.. I wouldn't prefer that but up to you

this won't be merged yet accord. to migration plan.. there'll be a follow up release and annoucement about this change for all other wikibase instances so that they can prepare themselves for a long migration in case they have a massive database, otherwise small ones won't probably even notice.

This can be done now though and hidden behind a feature flag.. I wouldn't prefer that but up to you

I personally prefer we do this later as any change to the schema would require another patch, let's run some tests on it and then wire it to the extension.

This comment was removed by alaa_wmde.
alaa_wmde moved this task from in progress to hold on the Wikidata board.Jul 22 2019, 8:53 AM

This is for later, once we completely migrate to new store in wikidata production and is stable for a while.

alaa_wmde renamed this task from Register schema schanges with MW update mechanism to Register new terms store schema schanges with MW update mechanism.Jul 22 2019, 8:55 AM
alaa_wmde updated the task description. (Show Details)
Addshore triaged this task as Low priority.Jan 14 2020, 4:10 PM
Addshore raised the priority of this task from Low to Medium.Jan 16 2020, 2:40 PM
Addshore updated the task description. (Show Details)
Addshore renamed this task from Register new terms store schema schanges with MW update mechanism to Register new terms store schema changes with MW update mechanism.Jan 16 2020, 4:26 PM
Addshore renamed this task from Register new terms store schema changes with MW update mechanism to wbterms: Register new terms store schema changes with MW update mechanism.Jan 16 2020, 4:33 PM
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJan 17 2020, 10:08 AM

Change 565524 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/Wikibase@master] Register new term store tables

https://gerrit.wikimedia.org/r/565524

Change 565529 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/Wikibase@master] Stop creating new term store tables explicitly in new term store tests

https://gerrit.wikimedia.org/r/565529

Change 565524 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Register new term store tables

https://gerrit.wikimedia.org/r/565524

Change 565529 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Stop creating new term store tables explicitly in new term store tests

https://gerrit.wikimedia.org/r/565529

Is there anything left to do here @Ladsgroup @Addshore ?
Looks kind of done, although some recent change seems to have caused T243218.

Addshore closed this task as Resolved.Jan 22 2020, 10:39 PM
DannyS712 updated the task description. (Show Details)Sep 20 2020, 7:42 AM